- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKBinary Struct Reference

`#include <IWORKTypes.h>`

## Public Member Functions
| IWORKBinary ()

## Public Attributes
boost::optional< IWORKSize > | m_size
boost::optional< std::string > | m_path
boost::optional< std::string > | m_type
boost::optional< unsigned > | m_dataSize

## Constructor & Destructor Documentation

libetonyek::IWORKBinary::IWORKBinary | ( |  | ) |

## Member Data Documentation

boost::optional<unsigned> libetonyek::IWORKBinary::m_dataSize

boost::optional<std::string> libetonyek::IWORKBinary::m_path

boost::optional<IWORKSize> libetonyek::IWORKBinary::m_size

boost::optional<std::string> libetonyek::IWORKBinary::m_type

The documentation for this struct was generated from the following files:

- IWORKTypes.h
- IWORKTypes.cpp